## fxload 0.0.20081013

=== Makefile ===
# $Id: Makefile,v 1.6 2002/04/12 00:31:00 dbrownell Exp $
#
# Builds "fxload" binaries, distribution tarball, and RPMs.
#

prefix =		/
exec_prefix =		${prefix}
sbindir =		${exec_prefix}/sbin
mandir =		${prefix}/usr/share/man

INSTALL =		/usr/bin/install -cD
INSTALL_PROGRAM =	${INSTALL}

PROG = 			fxload

CFLAGS =		-O -Wall $(RPM_OPT_FLAGS)

FILES_SRC_C =		ezusb.c main.c
FILES_SRC_H =		ezusb.h
FILES_SRC_OTHER =	README.txt COPYING Makefile fxload.8 a3load.hex
FILES_SRC =		$(FILES_SRC_OTHER) $(FILES_SRC_H) $(FILES_SRC_C)

FILES_OBJ =		$(FILES_SRC_C:%.c=%.o)

REV =			$(shell date "+%Y_%m_%d"| awk '{print $$1}')
RELEASE_NAME =		$(PROG)-$(REV)



# the interesting targets
# NOTE:  the default build ("make all") labels itself as a
# development build ("fxload -V" output)
all: $(PROG)

release:	rpms
	@echo FILES FOR RELEASE $(RELEASE_NAME)
	@find * -name '*.rpm' -o -name '*.gz' | grep $(RELEASE_NAME)


# object files
$(PROG): $(FILES_OBJ)
	$(CC) -o $(PROG) $(FILES_OBJ)

%.o: %.c
	$(CC) -c $(CFLAGS)  $< -o $@
main.o: main.c ezusb.h
ezusb.o: ezusb.c ezusb.h


# different degrees of clean ...
#	FIXME:  shouldn't assume only x86 RPMs get built
mrproper:	clean
	rm -f $(PROG)-*.tar.gz
	rm -f  $(PROG)-*.spec $(PROG)-*.src.rpm
	rm -rf i386 $(PROG)-* build
clean:
	rm -f Log *.o *~ $(PROG)


# install, from tarball or for binary RPM
install: $(PROG)
	$(INSTALL_PROGRAM) $(PROG) $(sbindir)/$(PROG)
	$(INSTALL_PROGRAM) -m 0644 $(PROG).8 $(mandir)/man8/$(PROG).8
	$(INSTALL_PROGRAM) -m 0644 a3load.hex $(prefix)/usr/share/usb/a3load.hex


# make a source tarball
tarball: $(RELEASE_NAME).tar.gz

$(RELEASE_NAME).tar.gz: clean
	@rm -rf $(RELEASE_NAME)
	@mkdir $(RELEASE_NAME)
	@for file in $(FILES_SRC); do			\
		cp $$file $(RELEASE_NAME)/$$file;	\
		chmod 0644 $(RELEASE_NAME)/$$file;	\
		done
	@tar cfz $(RELEASE_NAME).tar.gz $(RELEASE_NAME)
	@rm -rf $(RELEASE_NAME)
	@echo "TARBALL:  $(RELEASE_NAME).tar.gz"

# make source and binary RPMs
# you don't need to be root to do this, just to install
rpms:	tarball
	@rm -rf $(RELEASE_NAME).spec build $(RELEASE_NAME)
	@sed "s/VERCODE/$(REV)/" < $(PROG).spec > $(RELEASE_NAME).spec
	@mkdir build
	rpm --define "_srcrpmdir $(PWD)" --define "_rpmdir $(PWD)" \
		--define "_sourcedir $(PWD)" \
		--define "_builddir $(PWD)/build" \
		-ba --clean --buildroot=$(PWD)/$(RELEASE_NAME) \
		$(RELEASE_NAME).spec
	@rm -rf $(RELEASE_NAME).spec build $(RELEASE_NAME)
	@echo ''

=== debian/changelog ===
fxload (0.0.20081013-3) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 May 2024 19:03:02 +0200

fxload (0.0.20081013-2) unstable; urgency=low

  * move package to debian-astro maintenance
  * thanks to Fumitoshi UKAI for the initial upload (Closes: #739016)
  * debian/control: use dh13 (Closes: #965531)
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use Architectur: linux-any (Closes: #745190)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Dec 2021 19:03:02 +0100

fxload (0.0.20081013-1) unstable; urgency=low

  * Adopting package (Closes: #541059).
  * New upstream release (Closes: #540767).
  * Adding myself as uploader.
  * Switching to dpkg v.3 format.
  * Patch destdir: originally in the diff.
  * Switching to dh.
  * Homepage (better than nothing).
  * Patch remove_ident: remove #ident lines.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 20 Apr 2010 10:53:57 +0300

fxload (0.0.20020411-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High urgency for RC bug fix.
  * Fix FTBFS with linux-libc-dev: include <linux/usb/ch9.h> instead of
    <linux/usb.h> (closes: #428923).
  * Fix Greg K-H's name in debian/copyright.

 -- Julien Cristau <jcristau@debian.org>  Fri, 20 Jul 2007 15:46:32 +0200

fxload (0.0.20020411-1) unstable; urgency=low

  * Initial Release.
  * split from hotplug source tarball
  * renamed to fxload from hotplug-utils

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 30 Apr 2002 02:46:12 +0900

=== debian/control ===
Source: fxload
Section: admin
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, dh-sequence-movetousr
Standards-Version: 4.7.0
Homepage: http://sourceforge.net/projects/linux-hotplug/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/fxload
Vcs-Git: https://salsa.debian.org/debian-astro-team/fxload.git

Package: fxload
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: hotplug-utils
Replaces: hotplug-utils
Provides: hotplug-utils
Enhances: hotplug
Description: Firmware download to EZ-USB devices
 This program is conveniently able to download firmware into FX and FX2
 ez-usb devices. It is intended to be invoked by hotplug scripts when
 the unprogrammed device appears on the bus.

=== debian/watch ===
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
opts="uversionmangle=s/_//g;s/^/0.0./" \
  http://sf.net/linux-hotplug/fxload-(.*)\.tar\.gz
